Index: tmp/org.txm.statsengine.r.core.win32/build.properties
===================================================================
--- tmp/org.txm.statsengine.r.core.win32/build.properties	(revision 746)
+++ tmp/org.txm.statsengine.r.core.win32/build.properties	(revision 747)
@@ -3,3 +3,5 @@
 bin.includes = META-INF/,\
                .,\
                res/
+bin.excludes = res/win32/library/BH/,\
+               res/win32/library/stringi/
Index: tmp/org.txm.statsengine.r.feature/build.properties
===================================================================
--- tmp/org.txm.statsengine.r.feature/build.properties	(revision 746)
+++ tmp/org.txm.statsengine.r.feature/build.properties	(revision 747)
@@ -1 +1,2 @@
 bin.includes = feature.xml
+root.folder._redist/scripts/samples/R = ../org.txm.statsengine.r.core/R/
Index: tmp/org.txm.libs.cqp.win32/build.properties
===================================================================
--- tmp/org.txm.libs.cqp.win32/build.properties	(revision 746)
+++ tmp/org.txm.libs.cqp.win32/build.properties	(revision 747)
@@ -2,12 +2,4 @@
 output.. = bin/
 bin.includes = META-INF/,\
                .,\
-               res/,\
-               libcharset-1.dll,\
-               libglib-2.0-0.dll,\
-               libgnurx-0.dll,\
-               libiconv-2.dll,\
-               libintl-8.dll,\
-               libpcre-1.dll,\
-               pcre3.dll,\
-               IEShims.dll
+               res/
Index: tmp/org.txm.rcp.feature/build.properties
===================================================================
--- tmp/org.txm.rcp.feature/build.properties	(revision 746)
+++ tmp/org.txm.rcp.feature/build.properties	(revision 747)
@@ -1,6 +1,10 @@
 bin.includes = feature.xml,\
                EMPTYTXMHOME/,\
                TXM.sh
-root.linux.gtk.x86_64 = jre_linux/
+root.linux.gtk.x86_64 = linux/
 root.linux.gtk.x86_64.permissions.755 = jre/bin/java
 root.win32.win32.x86_64 = win/
+root.macosx.cocoa.x86_64 = mac/
+root.folder._redist/css = ../org.txm.core/res/org/txm/css/
+root.folder._redist/xsl = ../org.txm.core/res/org/txm/xml/xsl/
+root.folder._redist/schema = ../org.txm.core/res/org/txm/xml/schema/
Index: tmp/org.txm.rcp.feature/win/TXM.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM.bat	(revision 746)
+++ tmp/org.txm.rcp.feature/win/TXM.bat	(revision 747)
@@ -1 +1,83 @@
-TXM.exe -run
\ No newline at end of file
+set installdir=%~dp0
+set DEBUG=0
+set VERSION=0.8.0
+set USERHOME=%USERPROFILE%\
+
+IF NOT EXIST ROAMINGINSTALL GOTO ROAMINGINSTALLDONE
+echo "The 'roaming' install option is set."
+set USERHOME=%HOMEDRIVE%%HOMEPATH%\
+echo "USERHOME set to %USERHOME%"
+
+:ROAMINGINSTALLDONE
+
+IF NOT EXIST ASKUSERDIRECTORY GOTO ASKUSERDIRECTORYDONE
+echo "The 'ask user directory' install option is set."
+for /f "tokens=*" %%a in ('jre\bin\java -jar StartDialog.jar') do set USERHOME=%%a\
+echo "USERHOME set to %USERHOME%"
+
+:ASKUSERDIRECTORYDONE
+
+IF EXIST "%USERHOME%" GOTO USERHOMEOK
+echo "%USERHOME% does not exist. Aborting"
+msg * "TXM could not start using the USERHOME='%USERHOME%' directory."
+GOTO:EOF
+
+:USERHOMEOK
+
+set TXMHOME=%USERHOME%TXM_%VERSION%\
+set DOTTXM=%TXMHOME%.txm\
+
+mkdir "%TXMHOME%" 
+
+mkdir "%DOTTXM%" 
+
+(
+echo "TXM: getting install date from %installdir%STAMP and %DOTTXM%STAMP files" 
+Fc "%installdir%STAMP" "%DOTTXM%STAMP" 
+) >"%TXMHOME%TXMOutputLogs.txt" 2>"%TXMHOME%TXMErrorLogs.txt" 
+
+IF errorlevel 1 (goto :install) else (goto :run)
+
+:install
+
+(
+echo "New TXM install: it's the first launch after the installation." 
+del "%temp%\org.txm.rcpapplication.prefs" 
+copy "%DOTTXM%configuration\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
+copy "%DOTTXM%.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
+copy "%DOTTXM%data\.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
+
+rmdir "%DOTTXM%" /s /q
+IF errorlevel 1 (echo "TXM: failed to delete %DOTTXM% directory.")
+
+mkdir "%DOTTXM%" 
+IF errorlevel 1 (echo "TXM: failed to create %DOTTXM% directory.")
+
+copy "%installdir%TXM.ini" "%DOTTXM%TXM.ini" 
+IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%TXM.ini file")
+
+copy "%temp%\org.txm.rcpapplication.prefs" "%DOTTXM%org.txm.rcpapplication.prefs" 
+
+mkdir "%DOTTXM%user" 
+IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%user directory.")
+
+mkdir "%DOTTXM%data" 
+IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%data directory.")
+
+copy "%installdir%STAMP" "%DOTTXM%STAMP" 
+IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%STAMP file")
+
+) >"%TXMHOME%TXMOutputLogs.txt" 2>"%TXMHOME%TXMErrorLogs.txt" 
+
+:run
+
+(
+
+set _JAVA_OPTIONS=-Duser.home="%USERHOME%"
+
+echo running "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%" 
+
+REM "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -consolelog -clean -debug -console -noexit -data "%DOTTXM%data" -user "%DOTTXM%user" -install %installdir%
+"%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" -data "%DOTTXM%data" -user "%DOTTXM%user" -install %installdir%
+
+) >"%TXMHOME%TXMOutputLogs.txt" 2>"%TXMHOME%TXMErrorLogs.txt" 
Index: tmp/org.txm.rcp.feature/win/OpenAppDataDirectory.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/OpenAppDataDirectory.bat	(revision 0)
+++ tmp/org.txm.rcp.feature/win/OpenAppDataDirectory.bat	(revision 747)
@@ -0,0 +1 @@
+@start explorer "%appdata%"
\ No newline at end of file
Index: tmp/org.txm.rcp.feature/win/StartDialog.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.rcp.feature/win/StartDialog.jar
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mime-type
   + application/octet-stream


Property changes on: tmp/org.txm.rcp.feature/linux
___________________________________________________________________
Added: svn:ignore
   + jre



Property changes on: tmp/org.txm.rcp.feature/mac
___________________________________________________________________
Added: svn:ignore
   + jre


